Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_SSL3_KEY_MAT_OUT

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_SSL3_KEY_MAT_OUT

public class CK_SSL3_KEY_MAT_OUT
extends java.lang.Object

class CK_SSL3_KEY_MAT_OUT contains the resulting key handles and initialization vectors after performing a C_DeriveKey function with the CKM_SSL3_KEY_AND_MAC_DERIVE mechanism.

PKCS#11 structure:

     typedef struct CK_SSL3_KEY_MAT_OUT {
       CK_OBJECT_HANDLE hClientMacSecret;
       CK_OBJECT_HANDLE hServerMacSecret;
       CK_OBJECT_HANDLE hClientKey;
       CK_OBJECT_HANDLE hServerKey;
       CK_BYTE_PTR pIVClient;
       CK_BYTE_PTR pIVServer;
     } CK_SSL3_KEY_MAT_OUT;

Author:
  Karl Scheibelhofer , Martin Schl??ffer

Field Summary
`long` | `hClientKey` PKCS#11:
`long` | `hClientMacSecret` PKCS#11:
`long` | `hServerKey` PKCS#11:
`long` | `hServerMacSecret` PKCS#11:
`byte[]` | `pIVClient` PKCS#11:
`byte[]` | `pIVServer` PKCS#11:

Constructor Summary
`CK_SSL3_KEY_MAT_OUT()`

Method Summary
`java.lang.String` | `toString()` Returns the string representation of CK_SSL3_KEY_MAT_OUT.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hClientMacSecret

    public long hClientMacSecret

  PKCS#11:

         CK_OBJECT_HANDLE hClientMacSecret;

### hServerMacSecret

    public long hServerMacSecret

  PKCS#11:

         CK_OBJECT_HANDLE hServerMacSecret;

### hClientKey

    public long hClientKey

  PKCS#11:

         CK_OBJECT_HANDLE hClientKey;

### hServerKey

    public long hServerKey

  PKCS#11:

         CK_OBJECT_HANDLE hServerKey;

### pIVClient

    public byte[] pIVClient

  PKCS#11:

         CK_BYTE_PTR pIVClient;

### pIVServer

    public byte[] pIVServer

  PKCS#11:

         CK_BYTE_PTR pIVServer;

Constructor Detail

### CK_SSL3_KEY_MAT_OUT

    public CK_SSL3_KEY_MAT_OUT()

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of CK_SSL3_KEY_MAT_OUT.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_SSL3_KEY_MAT_OUT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18